{% extends 'base.html.twig' %}

{% block title %}Progica - Liste des gites {% endblock %}

{% block body %}

<div class="container">

    <nav class="p-3" aria-label="breadcrumb">
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="/">Accueil</a></li>
        <li class="breadcrumb-item active" aria-current="page">Nos Gites</li>
    </ol>
    </nav>

    <form class="p-3 ms-5" method="get" action="{{ path('produits_index') }}">
        <div class="mb-3 d-flex gap-2">
            <input type="text" class="form-control w-25" name="ville" placeholder="Où souhaitez-vous aller ?" value="{{app.request.query.get('ville')}}">
        <button type="submit" class="btn btn btn-outline-success">Rechercher</button>
        </div>
    </form>

    <div class="row justify-content-around">
             {% for item in gite %}              
                <div class="card col-5 p-0">
                    {% for photos in item.photos %}
                        {% if loop.first %}
                            <img class="img-fluid w-100" alt="image gite" src="{{ asset(photos.path) }}">
                        {% endif %}
                    {% endfor %}
                    <div class="card-body d-flex flex-column">
                        <h4 class="card-title">{{item.nom}}</h4>
                        <p class="card-text">{{item.adresse}}, {{item.codepostal}} {{item.ville.nom}}</p>
                        <div class="d-flex justify-content-between pb-2">
                        <span>{{item.capacite}} personnes</span>
                        <span>{{item.nbchambre}} chambre(s)</span>
                        </div>
                        <div class="pb-2">
                        <span><i class="fa-solid fa-dog"></i> : </span>
                        {% if item.nbanimaux > 0 %}
                            <span>oui</span>
                        {% else %}
                            <span>non</span>
                        {% endif %}                            
                        </div>
                        <a href="/produits/{{item.id}}" class="btn btn-outline-info btn-sm align-self-end">Voir plus...</a>
                    </div>
                </div>           
            {% endfor %}            
    </div>
</div>
{% endblock %}
